Bug 243123 - initrd-image does not load raid5 after intallation LVM-on-RAID
initrd-image does not load raid5 after intallation LVM-on-RAID
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Depends On:
  Show dependency treegraph
Reported: 2007-06-07 09:22 EDT by Tim Petrowsky
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:28:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Petrowsky 2007-06-07 09:22:29 EDT
Description of problem:

Installing F7 with LVM-on-RAID:
3 SATA HDDs, each with
  100MB /boot in RAID1
  1024MB swap
  rest as LVM in RAID5, containing / and some more

Version-Release number of selected component (if applicable):
F7 minimum CD install image.

How reproducible:
Always reproducible.

Steps to Reproduce:
1. install on clean system
2. configure as stated above
3. reboot
Actual results:

grub loads, nash loads, LVM finds no Volumes

Expected results:

RAID5 initialized, LVM volumes initialized

Additional info:

I could fix the bug when replacing initrd-image with one generated by:
initrd --force-raid-probe --force-lvm-probe --with=raid --with=lvm ....

Also while booting from rescue-CD the RAID5 repaired itself (although no hard
disks failed according to SMART logs). Letting it repair from "degraded" state
did not solve the problem, i had to create a new initrd-image. Maybe this is
another bug, either related or not? Will try to reproduce this one on an
identical system.
Comment 1 Ian Mortimer 2007-09-24 22:15:27 EDT
I've also seen this when upgrading systems with LVM on top of RAID.  The
anaconda generated initrd doesn't contain raid modules.  For kickstart installs
a workaround is to put this in %post:

kv=$(rpm -q --qf '%{version}-%{release}\n' kernel)
[[ -n $kv ]] && /sbin/new-kernel-pkg --package kernel --mkinitrd --depmod
--install $kv
Comment 2 Ian Mortimer 2007-09-24 22:18:27 EDT
I meant to say:

The anaconda generated initrd doesn't contain lvm modules.
Comment 3 Igor Velkov 2008-02-27 23:51:30 EST
Looks similar #211030
Comment 4 Bug Zapper 2008-05-14 08:53:31 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Andy Lindeberg 2008-06-03 17:02:22 EDT
Have you encountered the same problem in Fedora 9?
Comment 6 Bug Zapper 2008-06-16 21:28:39 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.